import request from '@/utils/request'

// 查询转岗培训列表
export function listTransferplan(query) {
  return request({
    url: '/newstaff/transferplan/list',
    method: 'get',
    params: query
  })
}

// 查询转岗培训详细
export function getTransferplan(id) {
  return request({
    url: '/newstaff/transferplan/' + id,
    method: 'get'
  })
}

// 新增转岗培训
export function addTransferplan(data) {
  return request({
    url: '/newstaff/transferplan',
    method: 'post',
    data: data
  })
}

// 修改转岗培训
export function updateTransferplan(data) {
  return request({
    url: '/newstaff/transferplan',
    method: 'put',
    data: data
  })
}

// 删除转岗培训
export function delTransferplan(id) {
  return request({
    url: '/newstaff/transferplan/' + id,
    method: 'delete'
  })
}

// 导出转岗培训
export function exportTransferplan(query) {
  return request({
    url: '/newstaff/transferplan/export',
    method: 'get',
    params: query
  })
}

// 批量转岗培训
export function batchStatus(id) {
  return request({
    url: '/newstaff/transferplan/batchStatus/' + id,
    method: 'get'
  })
}
